Skip to main content
`Ctrl`+`K`

# pandas.arrays.IntervalArray.from_arrays

classmethod IntervalArray.from_arrays(left, right, closed='right', copy=False, dtype=None)

  Construct from two arrays defining the left and right bounds.

  Parameters:
    left array-like (1-dimensional)

      Left bounds for each interval.

    right array-like (1-dimensional)

      Right bounds for each interval.

    closed{‘left’, ‘right’, ‘both’, ‘neither’}, default ‘right’

      Whether the intervals are closed on the left-side, right-side, both or neither.

    copy bool, default False

      Copy the data.

    dtype dtype, optional

      If None, dtype will be inferred.

  Returns:
    IntervalArray
  Raises:
    ValueError

      When a value is missing in only one of left or right. When a value in left is greater than the corresponding value in right.

  See also

  `interval_range`

    Function to create a fixed frequency IntervalIndex.

  `IntervalArray.from_breaks`

    Construct an IntervalArray from an array of splits.

  `IntervalArray.from_tuples`

    Construct an IntervalArray from an array-like of tuples.

  Notes

  Each element of left must be less than or equal to the right element at the same position. If an element is missing, it must be missing in both left and right. A TypeError is raised when using an unsupported type for left or right. At the moment, ‘category’, ‘object’, and ‘string’ subtypes are not supported.

  Examples

      >>> pd.arrays.IntervalArray.from_arrays([0, 1, 2], [1, 2, 3])
      <IntervalArray>
      [(0, 1], (1, 2], (2, 3]]
      Length: 3, dtype: interval[int64, right]